Fetching song lyrics from the ID3v2 lyrics frame
April 22, 2020 21:19 - Nelson Suniaga

Status: Rejected Start date: April 22, 2020
Priority: Trivial Due date:

Assignee: % Done: 0%
Category: Estimated time: 0.00 hour

Target version:

Affects version: 4.0.3

Description

There's already a plugin for retrieving song lyrics from three alternative websites, but there's none for fetching the string from the
ID3v2 lyrics frame.

As many should know, Kid3 has a plugin for retrieving lyrics from two websites (makeitpersonal.co and lyrics.wikia.com) and embed
it in an audio file, read it and display it locally won't require an Internet connection and will be a little bit faster.

Additionally, the plugin could read the "lyricist" frame when it's available, and "composer" when is not, and display it along with the
track name and artist name in the window.

History

#1 - April 23, 2020 02:34 - John Lindgren
Duplicate of #7527

#2 - April 23, 2020 04:48 - Nelson Suniaga

John Lindgren wrote:

Duplicate of #7527

Besides the request for reading "composer" and "lyricist" frames, yes it's a duplicate feature request of #752.

#3 - April 23, 2020 07:32 - John Lindgren

- Status changed from New to Rejected

Okay, closing

#4 - April 25, 2020 05:02 - Jim Turner

@Nelson - Hey, just for grins, could you attach a sample audio file here that has the lyrics in this tag, along with a link/info on this "Kid3 plugin" you
mentioned, or email me? (I'm curious a/b it)

Thanks,

Jim
http://redmine.audacious-media-player.org/issues/752
#5 - April 25, 2020 22:17 - Nelson Suniaga
- File Adaptation-253876800.mp3 added

Jim Turner wrote:

@Nelson - Hey, just for grins, could you attach a sample audio file here that has the lyrics in this tag, along with a link/info on this "Kid3 plugin”
you mentioned, or email me? (I'm curious a/b it)

Thanks,

Jim

I think it doesn't exist a page for the Kid3 embed lyrics plugin, but it not difficult to learn how to use it:
1. right-click in a file (in the files pane).

2. click in "Lyrics" (in the contextual menu).

3. click in "Embed Lyrics".

4. wait Kid3 find the track in makeitpersonal.co or lyrics.wikia.com.

5. click in the close button.

6. save the file.

Check the text fetched clicking in the lyrics frame and then in the edit button. That' it!.

The attached file is "Adaptation" by The Weeknd (downloaded from [[https://soundcloud.com/theweeknd/]]) with the lyrics embeded with Kid3.

#6 - April 26, 2020 06:36 - Jim Turner

@Nelson - Thanks for the example file, I'll take a look at it! However, | have no idea what application / file-manager (I wrote & use my own) you're
referring to by "right-click on a file in files pane" since Audacious does not have a "Kid3 plugin", so plz. enlighten me further, as I'd possibly be
interested in seeing the code for this plugin.

Regards,

Jim

#7 - April 26, 2020 15:30 - Nelson Suniaga
Jim Turner wrote:
@Nelson - Thanks for the example file, I'll take a look at it! However, | have no idea what application / file-manager (I wrote & use my own)

you're referring to by "right-click on a file in files pane" since Audacious does not have a "Kid3 plugin"”, so plz. enlighten me further, as I'd
possibly be interested in seeing the code for this plugin.
https://soundcloud.com/theweeknd/%5D%5D

Regards,

Jim

| was referring to file pane (upper left) in the kid3 window (not Audacious's), you can see some examples here: https:/kid3.kde.org/

#8 - April 29, 2020 20:02 - Jim Turner

@Nelson - That's just what | needed, thx!! Now, | think | have it working for you, please send me a simple email (see my profile) so | can reply you all
the details for you to review, as this thread is not the ideal place to discuss.

Jim

Files

Adaptation-253876800.mp3 2.94 MB April 25, 2020 Nelson Suniaga
